#!/bin/sh

umask 022

rm -f /usr/X11R6/lib/libX11.so.6.0.1 /usr/i486-linuxaout/lib/libX11.so.6.0.1
install -c -m 755 libX11.so.6.0 /usr/X11R6/lib/libX11.so.6.0.1
install -c -m 755 libX11.so.6.0.aout /usr/i486-linuxaout/lib/libX11.so.6.0.1
ln -sf libX11.so.6 /usr/X11R6/lib/libX11.so
/sbin/ldconfig

install -c -m 644 Compose /usr/X11R6/lib/X11/locale/iso8859-2/Compose

if grep -q cz_CZ.ISO8859-2 /usr/X11R6/lib/X11/locale/compose.dir
then
	:
else
	echo "iso8859-2/Compose	cz_CZ.ISO8859-2" >>/usr/X11R6/lib/X11/locale/compose.dir
fi

test -d /usr/X11R6/lib/X11/xmodmaps || \
	( rm -f /usr/X11R6/lib/X11/xmodmaps;  mkdir /usr/X11R6/lib/X11/xmodmaps )

install -c -m 644 Xmodmap.* /usr/X11R6/lib/X11/xmodmaps/

# Toto je dirty hack -- zatim nevim, jak prinutit nektere
# aplikace, aby cetli Compose tabulku odjinud nez z iso8859-1/Compose.
# Pan Petr Lampa tvrdi, ze staci nastavit LANG na cz_CZ.ISO8859-2,
# ale to mi nepomaha.

ln -sf ../iso8859-2/Compose /usr/X11R6/lib/X11/locale/iso8859-1/Compose

exit 0

